classification
Title: PySlice_GetIndices() signature changed
Type: behavior Stage:
Components: Documentation, Interpreter Core Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Phil.Thompson, dmalcolm, docs@python, loewis
Priority: normal Keywords:

Created on 2010-12-11 18:12 by Phil.Thompson, last changed 2010-12-30 17:40 by dmalcolm. This issue is now closed.

Messages (7)
msg123809 - (view) Author: Phil Thompson (Phil.Thompson) Date: 2010-12-11 18:12
In Python v3.2b1 the type of the first argument of PySlice_GetIndices() and PySlice_GetIndicesEx() has changed from PySliceObject* to PyObject*.

The documentation does not reflect this change.

Which is correct, the source code or the documentation?
msg123810 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-12-11 18:17
The source is correct. Fixed in r87171.
msg123811 - (view) Author: Phil Thompson (Phil.Thompson) Date: 2010-12-11 19:10
You might want to add a "Changed in Python v3.2" because as it is an incompatible change.
msg123813 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-12-11 19:23
It's not an incompatible change, but I added the versionchanged anyway in r87173.
msg123820 - (view) Author: Phil Thompson (Phil.Thompson) Date: 2010-12-12 01:38
It's source level incompatible - my extension modules compiled fine with v3.2a but failed with v3.2b1.
msg123827 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-12-12 07:35
> It's source level incompatible - my extension modules compiled fine with v3.2a but failed with v3.2b1.

That's because you are using C++, right? In C, there shouldn't be any
problems.
msg124922 - (view) Author: Dave Malcolm (dmalcolm) (Python committer) Date: 2010-12-30 17:40
For reference, this seems to affect SWIG, specifically, I'm seeing build failures using:
  /usr/share/swig/2.0.1/python/pycontainer.swg
from swig-2.0.1

See downstream build failure report for znc, which uses swig to generate python 3 bindings:
  https://bugzilla.redhat.com/show_bug.cgi?id=666429
History
Date User Action Args
2010-12-30 17:40:25dmalcolmsetnosy: + dmalcolm
messages: + msg124922
2010-12-12 07:35:19loewissetmessages: + msg123827
2010-12-12 01:38:02Phil.Thompsonsetmessages: + msg123820
2010-12-11 19:23:34loewissetmessages: + msg123813
2010-12-11 19:10:29Phil.Thompsonsetmessages: + msg123811
2010-12-11 18:17:38loewissetstatus: open -> closed

nosy: + loewis
messages: + msg123810

resolution: fixed
2010-12-11 18:12:56Phil.Thompsoncreate